Kerbal Space Program - Bug #21141

Service Module SM-25 does not cross-feed to internal nodes
02/03/2019 04:39 AM - Anonymous

Status: Confirmed Start date: 02/03/2019
Severity: Low % Done: 10%
Assignee:

Category: Parts

Target version:

Version: 1.7.0 Language: English (US)
Platform: Windows Mod Related: No
Expansion: Making History

Description

Attached craft has 5 small tanks on the internal nodes, and 2 surface attached, inside the SM-25.
The engine can access fuel only from the 2 surface attached tanks.

Engineer's Report correctly identifies the unusable fuel.
Fuel Lines make the fuel usable

History

#1 - 04/24/2019 01:59 AM - abc

- Version changed from 1.6.1 to 1.7.0

I'm seeing a bit different behavior in 1.7.0 (hopefully related and not a distinct bug), no mods installed now or ever. If any fuel is placed anywhere in
the SM-25 then crossfeed is disabled when the shroud is enabled, but works again after the doors are ejected. Fuel inside the SM-25 seems to
always be available for me surface mounted or node mounted and top, bottom, or side. Only fuel above the SM-25 does not work. The Engineer's
Report is not showing any issues for me ever so | am just looking at dV. In some cases but not all if the craft is saved after fuel tanks are placed
(when the shroud is on) and then the VAB is exited and reentered then the fuel above the SM-25 is available, however if the fuel tanks are then
removed the top center node will disappear (even if no fuel was attached there) and saving and exiting will no longer cause crossfeed to work. On
further testing it looks like all fuel is actually usable with the shroud and door on (other than possibly due to the initially reported issue; | didn't test
that), it is just the dV calculation that does not work when the door is in place.

#2 - 04/24/2019 02:39 AM - abc

On further testing | am seeing the behavior in the initial report as well in 1.7.0 with two R-12 mounted to the top center node and four R-4 around it on
the top. One fuel line from any of the R-4s makes the R-12s work. This is independent of the crossfeed with external tanks not working with the
shroud on and happens even with the shroud off. It doesn't seem to happen with the R-12s on the bottom center node, so it might be related to the
top center node going away in some cases.

#3 - 04/24/2019 06:59 AM - abc
- Status changed from New to Confirmed

- % Done changed from 0 to 10

| opened Bug #21981 for my dV issue and Bug #21987 for the top center node disappearance. Sorry for adding the irrelevent info to this report (not
100% certain it is completely irrelevent so | will leave it).

| tried your craft file and was able to confirm the issue in 1.7.0 with the following additional observations:

Your craft does not use the top center node. It did disappear after | replace at least one tank and save/load or launch/revert but not a save/load or
launch/revert of your craft as is. If | add a nose cone to the top (without touching the tanks) then after save/load the top center node does not
disappear.

If | load your craft and launch, only the R-4s are emptied (reported dV very low).

If | load your craft and replace all the Oscar-B tanks then the dV reported in the VAB is higher but if | launch that craft then the dV is shown lower
again (but not as low as the first time) at launch and the side bottom tanks are also emptied but the center bottom and top left and right tanks are still
not emptied. Reverting to VAB the lower dV is shown.

If | recreate your craft (without the RCS) in 1.7.0 the same happens as with replacing the tanks: the two side bottom tanks and the R-4s are emptied
but the center bottom and top two are not. The dV shown in the VAB is incorrect and corrected at launch (and if reverted to VAB).
https://bugs.kerbalspaceprogram.com/issues/21981
https://bugs.kerbalspaceprogram.com/issues/21987

#4 - 12/22/2019 11:37 AM - purpleivan

I'm seeing this issues in my current installl (1.8.1). Fuel isn't flowing at all from any of the internal attachment points to the engine.

In my vehicle | have a stack of Oscar-B's connected to each of the 3 attachment points at the base of the interior of the SM-25, but the engine when
fired up reports that it's "Oxidizer deprived".
#5 - 12/18/2020 10:48 AM - abc

For some reason I'm not able to change the version but it is still happening in 1.11.0.

Files

ServiceModule.craft 24.3 KB 02/03/2019 Anonymous
